#!/usr/bin/python

# simple eample how to extract text out of T602 document
# usage: 602text-simple.py filename.602
# output is in utf-8

import sys
from T602Parser import T602Parser

class My602Parser(T602Parser):
    
    def handle_data(self, data):
        sys.stdout.write(data.encode('utf-8'))

p = My602Parser()
f = open(sys.argv[1])
for i in f.readlines():
    p.feed(i)
p.close()
sys.stdout.write('\n')
